<!--  -->
<template>
  <div class="boxleft">
    <title-box-vue :title="titleName">
      <template v-slot:right>
        <slot name="titleright"></slot>
      </template>
    </title-box-vue>
    <el-input placeholder="输入关键字进行过滤" suffix-icon="fks-icon-search" v-model="filterText">
    </el-input>
    <el-tree ref="tree" :data="treedata" :props="defaultProps" :show-icon="true" default-expand-all node-key="id"
      current-node-key="1" :highlight-current="true" :filter-node-method="filterNode"
      @node-click="handleNodeClick"></el-tree>
  </div>
</template>

<script>
import titleBoxVue from "./titleBox.vue";
export default {
  name: "leftTree",
  components: { titleBoxVue },
  props: {
    /**左侧树 标题名称 */
    titleName: {
      type: String,
      default: '功能位置',
    },
    /**树数据 */
    treedata: {
      type: Array,
      default: () => {
        return [];
      },
    },
    /**树 默认属性配置 */
    defaultProps: {
      type: Object,
      default: () => {
        return {
          children: 'children',
          label: 'label',
          id: 'id',
        };
      },
    },
  },
  data() {
    return {
      filterText: "",
    };
  },
  created() { },
  mounted() { },
  computed: {},
  watch: {
    filterText(val) {
      this.$refs.tree.filter(val);
    },
  },
  methods: {
    handleNodeClick(data) {
      //   console.log(data, 74);
      this.$emit("click", data);
    },
    filterNode(value, data) {
      if (!value) return true;
      return data.label.indexOf(value) !== -1;
    },
  },
};
</script>
<style scoped>
.boxleft {
  background-color: #fff;
}
</style>